Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: event::Engine::Rule Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
event::Engine::Rule Struct Reference

A Rule binds an action to a condition. More...

`import <EventEngine.idl;`

## Public Attributes
string | id
| Rule ID.
string | name
| User-defined name.
boolean | isSystem
| `true` for system-defined rules
boolean | isEnabled
| `true` if the rule is enabled
boolean | isAutoRearm
| `true` for auto-rearming rules
boolean | hasMatched
| `true` if the rule has matched since being armed
Condition | condition
| Trigger condition.
vector< string > | actionIds
| List of action IDs.
vector< KeyValue > | arguments
| Argument map.

## Detailed Description

A Rule binds an action to a condition.

The 'id' is an unique identification within the scope of this event engine. The 'name' is unique as well and used by the GUI as user readable identificator. The flag 'isAutoRearm' determines whether actions are triggered again after condition reoccurres. The 'hasMatched' flag is true if the condition was true once and the rule is not rearmed yet. The 'isSystem' flag is readonly and if set marks the action as not deletable. The 'actionIds' are the actions to perform if the rule evaluates to true. The arguments are passed to the actions.

Definition at line 246 of file EventEngine.idl.

## Member Data Documentation

## ◆ actionIds

vector<string> event::Engine::Rule::actionIds

List of action IDs.

Definition at line 254 of file EventEngine.idl.

## ◆ arguments

vector<KeyValue> event::Engine::Rule::arguments

Argument map.

Definition at line 255 of file EventEngine.idl.

## ◆ condition

Condition event::Engine::Rule::condition

Trigger condition.

Definition at line 253 of file EventEngine.idl.

## ◆ hasMatched

boolean event::Engine::Rule::hasMatched

`true` if the rule has matched since being armed

Definition at line 252 of file EventEngine.idl.

## ◆ id

string event::Engine::Rule::id

Rule ID.

Definition at line 247 of file EventEngine.idl.

## ◆ isAutoRearm

boolean event::Engine::Rule::isAutoRearm

`true` for auto-rearming rules

Definition at line 251 of file EventEngine.idl.

## ◆ isEnabled

boolean event::Engine::Rule::isEnabled

`true` if the rule is enabled

Definition at line 250 of file EventEngine.idl.

## ◆ isSystem

boolean event::Engine::Rule::isSystem

`true` for system-defined rules

Definition at line 249 of file EventEngine.idl.

## ◆ name

string event::Engine::Rule::name

User-defined name.

Definition at line 248 of file EventEngine.idl.

The documentation for this struct was generated from the following file:

- EventEngine.idl